<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("i" . "d" => base64_decode("aWQ" . "="), "titl" . "e" => base64_decode("dGl0b" . "GU="), "_49c48a113fcc4b94b82e29c74" . "e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3RyOmtleQ" . "=="), "channel" . "s" => base64_decode("Y2hhbm" . "5lbHM="), "_4cabd5d7713c30b34" . "f152bca7e16cd6c" => base64_decode("bmV3c19mZ" . "WVkcw=="), "_022eeb1" . "7ad2461a" . "772886fe" . "0f557552" . "0" => base64_decode("Y3JlYXRvcg" . "=="), "_c0f286e93ebdcaa427b44e" . "c29413392b" => base64_decode("ZmVlZ" . "F9rZX" . "k="), "_aa7e860da1acd4e767e0d" . "f9d7d407380" => base64_decode("ZGF0ZV9jcmVhdG" . "Vk"));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_49c48a113fcc4b94b82e29c74e01e7" . "bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4cabd5d7713c30b34f15" . "2bca7e16cd6c"], $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["titl" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["channe" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c0f286e93ebdcaa427b44ec" . "29413392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_aa7e860da" . "1acd4e767e" . "0df9d7d407" . "380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_022eeb17ad24" . "61a772886fe0f" . "5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}